=== debian/changelog ===
ocaml-shared-memory-ring (1.1.0-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Wed, 16 Jul 2014 12:00:00 +0000
