=== debian/control ===
Source: ocaml-shared-memory-ring
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 camlp4,
 python,
 debhelper (>= 8),
 camlp4-extra,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev,
 ocaml-findlib

Package: ocaml-shared-memory-ring
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: OCaml implementation of Xen shared memory rings
 The shared memory ring protocols are used for: xenstore, console,
 disk and network devices.

Package: ocaml-shared-memory-ring-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-shared-memory-ring (>= 1.1.0-1),
 libcstruct-ocaml-dev,
 liblwt-ocaml-dev
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-shared-memory-ring
 The ocaml-shared-memory-ring-devel package contains libraries and
 signature files for developing applications that use ocaml-shared-
 memory-ring.
